> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drive.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Place Multiple Orders

> Place up to 15 orders in a single request.

[Polymarket Docs](https://docs.polymarket.com/developers/CLOB/orders/create-order-batch)


## OpenAPI

````yaml POST /orders
openapi: 3.0.0
info:
  title: HTTP API
  version: 1.0.0
  description: >-
    This service distributes your order flow through a network of globally
    distributed, parallelized routing paths, delivering low-latency execution
    via Polymarket's [CLOB
    API](https://docs.polymarket.com/quickstart/introduction/main).
servers:
  - url: https://poly.drive.markets
security: []
paths:
  /orders:
    post:
      tags:
        - Create Order
      summary: Place Multiple Orders (Batching)
      description: Place up to 15 orders in a single request.
      parameters:
        - $ref: '#/components/parameters/L2HeaderApiKey'
        - $ref: '#/components/parameters/L2HeaderSignature'
        - $ref: '#/components/parameters/L2HeaderTimestamp'
        - $ref: '#/components/parameters/L2HeaderNonce'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/PostOrder'
      responses:
        '200':
          description: Batch order placement response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
        '400':
          description: Invalid orders or bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    L2HeaderApiKey:
      in: header
      name: POLY-API-KEY
      schema:
        type: string
      required: true
      description: API key of the user
    L2HeaderSignature:
      in: header
      name: POLY-SIGNATURE
      schema:
        type: string
      required: true
      description: Request signature
    L2HeaderTimestamp:
      in: header
      name: POLY-TIMESTAMP
      schema:
        type: string
      required: true
      description: Timestamp of the request
    L2HeaderNonce:
      in: header
      name: POLY-NONCE
      schema:
        type: string
      required: true
      description: Request nonce
  schemas:
    PostOrder:
      type: object
      required:
        - order
        - orderType
        - owner
      properties:
        order:
          $ref: '#/components/schemas/OrderObject'
        orderType:
          type: string
          enum:
            - FOK
            - GTC
            - GTD
            - FAK
        owner:
          type: string
          description: API key of order owner
    OrderResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Boolean indicating if server-side error (success = false)
        errorMsg:
          type: string
          description: Error message in case of unsuccessful placement
        orderId:
          type: string
          description: ID of order
        orderHashes:
          type: array
          items:
            type: string
          description: >-
            Hash of settlement transaction order was marketable and triggered a
            match
        status:
          type: string
          enum:
            - matched
            - live
            - delayed
            - unmatched
          description: Status of the order placement
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        errorMsg:
          type: string
          description: Description of the error
    OrderObject:
      type: object
      required:
        - salt
        - maker
        - signer
        - taker
        - tokenId
        - makerAmount
        - takerAmount
        - expiration
        - nonce
        - feeRateBps
        - side
        - signatureType
        - signature
      properties:
        salt:
          type: integer
          description: Random salt used to create unique order
        maker:
          type: string
          description: Maker address (funder)
        signer:
          type: string
          description: Signing address
        taker:
          type: string
          description: Taker address (operator)
        tokenId:
          type: string
          description: ERC1155 token ID of conditional token being traded
        makerAmount:
          type: string
          description: Maximum amount maker is willing to spend
        takerAmount:
          type: string
          description: Minimum amount taker will pay the maker in return
        expiration:
          type: string
          description: Unix expiration timestamp
        nonce:
          type: string
          description: Maker's exchange nonce of the order is associated
        feeRateBps:
          type: string
          description: Fee rate basis points as required by the operator
        side:
          type: string
          enum:
            - BUY
            - SELL
          description: Buy or sell enum index
        signatureType:
          type: integer
          description: Signature type enum index
        signature:
          type: string
          description: Hex encoded signature

````